(function()
 /**
  * JavaScriptErrorManagerpbP[W
  * 
  * @package js.debug.jsem
  * @update 2007/06/12
  * @version 2.00.00
  * @author Mug
  * @copyright (C) 2006-2007 Mug, All rights reserved.
  * 
  * @explanation <p>̃pbP[Wtry`catch`finallythrow{IȃG[NX`ĂB
  *   ̃G[NX<var>js.cpt.Error</var>NXʂĎgp̂łA̗p@ɏĂB
  *   ܂ÃpbP[Wł̓X^bNg[X擾ł悤ɂȂĂB
  *   X^bNg[X݂̂ł΁AG[NXʂɒPƂŎgp邱Ƃ\łB</p>
  * @rel js.cpt.Error
  * @explanation <p>G[NXp\͈ȉ̂悤ɂȂĂB<br />
  *   pbP[Wɂ"Error"gĂ邪A`ĂNXyѓo^͑S"Exception"gpĂB
  *   ̓lCeBũG[ƏdȂ邾邽߂łB</p>
  *   <pre>
  *   Object
  *   @Error
  *   @@@js.cpt.Error
  *   @@@@@
  *   @@@@@js.debug.jsem.<span style="font-weight:bold;">Exception</span>
  *   @@@@@@@js.debug.jsem.<span style="font-weight:bold;">FormatException</span>
  *   @@@@@@@@js.debug.jsem.<span style="font-weight:bold;">BooleanFormatException</span>
  *   @@@@@@@@js.debug.jsem.<span style="font-weight:bold;">NumberFormatException</span>
  *   @@@@@@@@js.debug.jsem.<span style="font-weight:bold;">StringFormatException</span>
  *   @@@@@@@@js.debug.jsem.<span style="font-weight:bold;">FunctionFormatException</span>
  *   @@@@@@@js.debug.jsem.<span style="font-weight:bold;">RangeException</span>
  *   @@@@@@@@@js.debug.jsem.<span style="font-weight:bold;">NumberRangeException</span>
  *   @@@@@@@@@js.debug.jsem.<span style="font-weight:bold;">StringRangeException</span>
  *   @@@@@@@@@js.debug.jsem.<span style="font-weight:bold;">DateRangeException</span>
  *   </pre>
  * @explanation <p><var>js.cpt.Error</var>NXɑ΂o^ijs.cpt.ErrorRXgN^̈nameɎwłlj͈ȉ̒ʂƂȂB</p>
  *   <table border="1" cellspacing="0">
  *     <caption>NXo^</caption>
  *     <thead>
  *       <tr><th>SCNX</th><th>(1)TuNXo^</th><th>(2)lCeBuNXo^</th></tr>
  *     </thead>
  *     <tbody>
  *       <tr><td>Error</td><td>|</td><td>"Error"|"NativeError"</td></tr>
  *       <tr><td>EvalError</td><td>|</td><td>"EvalError"</td></tr>
  *       <tr><td>RangeError</td><td>|</td><td>"RangeError"</td></tr>
  *       <tr><td>ReferenceError</td><td>|</td><td>"ReferenceError"</td></tr>
  *       <tr><td>SyntaxError</td><td>|</td><td>"SyntaxError"</td></tr>
  *       <tr><td>TypeError</td><td>|</td><td>"TypeError"</td></tr>
  *       <tr><td>URIError</td><td>|</td><td>"URIError"</td></tr>
  *       <tr><td>js.cpt.Error</td><td>"SystemError"</td><td>|</td></tr>
  *       <tr><td>@js.debug.jsem.Exception</td><td>"Exception"</td><td>|</td></tr>
  *       <tr><td>@@js.debug.jsem.FormatException</td><td>"FormatException"</td><td>|</td></tr>
  *       <tr><td>@@js.debug.jsem.BooleanFormatException</td><td>"BooleanFormatException"</td><td>|</td></tr>
  *       <tr><td>@@js.debug.jsem.NumberFormatException</td><td>"NumberFormatException"</td><td>|</td></tr>
  *       <tr><td>@@js.debug.jsem.StringFormatException</td><td>"StringFormatException"</td><td>|</td></tr>
  *       <tr><td>@@js.debug.jsem.FunctionFormatException</td><td>"FunctionFormatException"</td><td>|</td></tr>
  *       <tr><td>@@js.debug.jsem.RangeException</td><td>"RangeException"</td><td>|</td></tr>
  *       <tr><td>@@@js.debug.jsem.NumberRangeException</td><td>"NumberRangeException"</td><td>|</td></tr>
  *       <tr><td>@@@js.debug.jsem.StringRangeException</td><td>"StringRangeException"</td><td>|</td></tr>
  *       <tr><td>@@@js.debug.jsem.DateRangeException</td><td>"DateRangeException"</td><td>|</td></tr>
  *     </tbody>
  *     <tfoot>
  *       <tr><td colspan="3">
  *         <p>CX^X̐@C̓eɂĂ<var>js.cpt.Error</var>NXQƂ̂ƁB</p>
  *       </td></tr>
  *     </tfoot>
  *   </table>
  */
  {
  //------------------------------------------------------------------------------
  // NXpX
  
  //:V Package Function js.cpt.PackageNX
  var Package = js.cpt.Package;
  
  //:V Class Function js.cpt.ClassNX
  var Class = js.cpt.Class;
  
  //------------------------------------------------------------------------------
  // pbP[W
  
  //:V jsem js.cpt.Package JavaScriptErrorManagerpbP[W
  var jsem = Package.getInstance("js.debug.jsem");
  
  //------------------------------------------------------------------------------
  // NX`iX^bNg[Xj
  
  //:V trace js.cpt.Package X^bNg[XpbP[W
  var trace = Package.getInstance("js.debug.jsem.trace");
  
  //:I TraceData@js.debug.jsem.trace js.cpt.Class TraceDataNX
  trace.TraceData = new Class("TraceData",
    null,
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I StackTrace@js.debug.jsem.trace js.cpt.Class StackTraceNX
  trace.StackTrace = new Class("StackTrace",
    ["js.debug.jsem.trace.TraceData"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  // {G[NX
  
  //:I Exception@js.debug.jsem js.cpt.Class ExceptionNX
  jsem.Exception = new Class("Exception",
    ["js.cpt.Error", "js.debug.jsem.trace.StackTrace"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  // FormatExceptionn
  
  //:I FormatException@js.debug.jsem js.cpt.Class FormatExceptionNX
  jsem.FormatException = new Class("FormatException",
    ["js.cpt.Error", "js.debug.jsem.Exception"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I BooleanFormatException@js.debug.jsem js.cpt.Class BooleanFormatExceptionNX
  jsem.BooleanFormatException = new Class("BooleanFormatException",
    ["js.cpt.Error", "js.debug.jsem.FormatException"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I NumberFormatException@js.debug.jsem js.cpt.Class NumberFormatExceptionNX
  jsem.NumberFormatException = new Class("NumberFormatException",
    ["js.cpt.Error", "js.debug.jsem.FormatException"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I StringFormatException@js.debug.jsem js.cpt.Class StringFormatExceptionNX
  jsem.StringFormatException = new Class("StringFormatException",
    ["js.cpt.Error", "js.debug.jsem.FormatException"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I FunctionFormatException@js.debug.jsem js.cpt.Class FunctionFormatExceptionNX
  jsem.FunctionFormatException = new Class("FunctionFormatException",
    ["js.cpt.Error", "js.debug.jsem.FormatException"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  // RangeExceptionn
  
  //:I RangeException@js.debug.jsem js.cpt.Class RangeExceptionNX
  jsem.RangeException = new Class("RangeException",
    ["js.cpt.Error", "js.debug.jsem.Exception"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I NumberRangeException@js.debug.jsem js.cpt.Class NumberRangeExceptionNX
  jsem.NumberRangeException = new Class("NumberRangeException",
    ["js.cpt.Error", "js.debug.jsem.RangeException"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I StringRangeException@js.debug.jsem js.cpt.Class StringRangeExceptionNX
  jsem.StringRangeException = new Class("StringRangeException",
    ["js.cpt.Error", "js.debug.jsem.RangeException"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //:I DateRangeException@js.debug.jsem js.cpt.Class DateRangeExceptionNX
  jsem.DateRangeException = new Class("DateRangeException",
    ["js.cpt.Error", "js.debug.jsem.RangeException"],
    "extension=.js,type=text/javascript,charset=Shift_JIS"
  );
  
  //------------------------------------------------------------------------------
  }
)();

